diff scripts/make-version.sh @ 10:352f80da6813

ACI compiles!
author Mychaela Falconia <falcon@freecalypso.org>
date Tue, 27 Sep 2016 02:31:03 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/make-version.sh	Tue Sep 27 02:31:03 2016 +0000
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 component-name" 1>&2
+	exit 1
+fi
+
+echo "static char *verstring_$1 = \"$1 FreeCalypso Magnetite\";"
+echo
+echo "char *$1_version(void)"
+echo '{'
+echo "	return verstring_$1;"
+echo '}'